import { select, json, geoPath, geoNaturalEarth1} from 'd3';
import {feature} from 'topojson';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

//initialize the natural earth projection object
const projection = geoNaturalEarth1();
//Feed the natural earth object to the geopath library object
const pathGenerator = geoPath().projection(projection);


//Create a spherical svg structure for the geo path
svg.append('path')
		.attr('class', 'sphere')
		.attr('d', pathGenerator({type: 'Sphere'}));


// Load all countries data
json('https://cdn.jsdelivr.net/npm/world-atlas@2/countries-110m.json')
		.then(data => {
  			const countries = feature(data, data.objects.countries);
  
       //Create svg to load the countries data on to path generator
  			svg.selectAll('path')
        		.data(countries.features)
  					.enter().append('path')
  					.attr('class', 'country')
  					.attr('d', pathGenerator)
		});









